apiVersion: v1
kind: Pod
metadata:
  name: nginx
spec:
  containers:
    - name: nginx
      image: nginx:alpine-slim
      env:
        - name: ENABLE_DEBUG_MODE
          valueFrom:
            configMapKeyRef:
              name: demo-config
              key: debug_mode
